check-circle-line exclamation-circle-line close-line

Notes de mise à jour de VMware Tools 10.1.0

Mis à jour le : 20 janvier 2019

VMware Tools | 25 octobre 2016 | Build 4449150

Vérifiez les ajouts et les mises à jour apportées à ces notes de mise à jour.

Contenu des notes de mise à jour

Les notes de mise à jour couvrent les sujets suivants :

Nouveautés

VMware Tools est une suite d'utilitaires qui améliore les performances du système d'exploitation client de la machine virtuelle et facilite la gestion de cette machine.

  • Gestion du cycle de vie de VMware Tools : VMware Tools 10.1.0 est une version majeure comportant de nombreuses améliorations. Cette version ajoute une approche simplifiée et évolutive pour l'installation et la mise à niveau de VMware Tools, la mise à niveau sans redémarrage des nouvelles distributions Linux, la prise en charge des mises à niveau OSP, la version améliorée avec l'interface utilisateur et le rapport de l'état avec l'API et l'interface utilisateur. Cette version contient plusieurs améliorations de la fonctionnalité, des améliorations liées au pilote et la prise en charge de nouveaux systèmes d'exploitation invités. VMware Tools 10.1.0 répond aux exigences des systèmes d'exploitation invités actuels. VMware Tools 10.0.12 répond aux exigences des systèmes d'exploitation invités hérités.

  • Prise en charge par VMware Tools des systèmes d'exploitation invités dans la version 10.1.0
    • windows.iso prend en charge Windows Vista et versions ultérieures.
    • linux.iso prend en charge les systèmes d'exploitation invités Linux Red Hat Enterprise (RHEL) 5 et versions ultérieures, SUSE Linux Enterprise Server (SLES) 11 et versions ultérieures, Ubuntu 10.04 et versions ultérieures. Il prend également en charge d'autres distributions avec glibc versions 2.5 et ultérieures.
    • darwin.iso prend en charge Mac OS X versions 10.11 et ultérieures.
    • freebsd.iso prend en charge les versions de FreeBSD.
    • solaris.iso prend en charge les versions de Solaris.

  • Mise à niveau sans redémarrage pour les nouvelles distributions Linux : avec la version actuelle de VMware Tools, un grand nombre de systèmes d'exploitation invités Linux n'ont pas à être redémarrés après la mise à niveau.
    Remarque : pour les distributions Linux antérieures où les pilotes PVSCI, VMXNET ou VMXNET3 sont mis à jour, les systèmes d'exploitation invités doivent être redémarrés après la mise à niveau.

  • Programme d'amélioration du produit : le programme d'amélioration du produit (CEIP) fournit à VMware des informations lui permettant d'améliorer ses produits et ses services ainsi que de résoudre des problèmes. Lorsque vous participez à ce programme, VMware collecte régulièrement des informations techniques relatives à votre utilisation des produits et services VMware dans des rapports CEIP. Ces informations ne permettent pas de vous identifier personnellement. Pour plus d'informations, consultez le Centre de documentation vSphere.

  • Authentification de système d'exploitation invité VGAuth : VGAuth offre une authentification de système d'exploitation invité utilisant différents mécanismes d'authentification. Des problèmes critiques ont été résolus dans cette version de VMware Tools 10.1.0.

  • Prise en charge de TLS : VMware Tools 10.1.0 prend en charge TLS v1.2.

  • Problèmes résolus : cette version de VMware Tools 10.1.0 résout divers problèmes documentés dans la section Problèmes résolus.

Avant de commencer

Dans les versions antérieures, les images ISO VMware Tools sont fournies avec l'image ESXi. Les images ISO de quelques systèmes d'exploitation invités en fin de vie sont bloquées. Des images ISO bloquées sont disponibles au téléchargement à l'adresse http://my.vmware.com. Ces images ISO ne sont pas fournies avec ESXi dans le VIB tools-light. Pour plus de détails, consultez la page Documentation de VMware Tools.

Note importante relative à la mise à niveau vers ESXi 5.5 Update 3b ou version ultérieure

Pour la résolution des directives générales et relatives à l'incompatibilité lors de la mise à niveau des hôtes ESXi vers ESXi 5.5 Update 3b ou ESXi 6.0 Update 1 ou version ultérieure, tout en utilisant d'anciennes versions d'Horizon View Agent, consultez les articles de la base de connaissances ci-dessous :

Internationalisation

VMware Tools 10.1.0 est disponible dans les langues suivantes :

  • Anglais
  • Français
  • Allemand
  • Espagnol
  • Italien
  • Japonais
  • Coréen
  • Chinois simplifié
  • Chinois traditionnel

Compatibilité

VMware Tools 10.1.0 est compatible avec les versions prises en charge de VMware vSphere ESXi 5.5 et versions ultérieures, VMware Workstation 12.0 et VMware Fusion 8.0. Consultez le Guide de compatibilité VMware pour plus d'informations.

VMware Tools 10.1.0 permet la prise en charge de DirectX 10.0 et d'OpenGL 3.3 sur des invités Windows lorsqu'il est utilisé avec VMware Workstation 12.0, VMware Fusion 8.0 et des versions de VMware vSphere, si le périphérique virtuel prend en charge la fonctionnalité requise. Le pilote OpenGL de système d'exploitation invité VMware pour Windows et Linux prend en charge le profil OpenGL 3.3 principal uniquement. Le profil de compatibilité OpenGL 3.3 n'est pas pris en charge. Le pilote invité OpenGL ne prend en charge que la version 3.0 pour les profils de compatibilité.

Common Agent Framework (CAF) est pris en charge sur les systèmes d'exploitation invités 64 bits. Il ne prend pas en charge les systèmes d'exploitation invités 32 bits.

L'option de programme d'installation de VMware Tools pour écraser les modules de noyau Linux fournis avec le système d'exploitation est obsolète. Dans les prochaines versions de VMware Tools pour Linux, l'option d'écrasement sera supprimée du programme d'installation.

Prise en charge de la personnalisation du système d'exploitation invité

La Matrice de prise en charge des personnalisations du système d'exploitation invité fournit des détails sur les systèmes d'exploitation invités pris en charge pour la personnalisation.

Installation et mises à niveau pour cette mise à jour

VMware Tools peut être téléchargé sur la page Téléchargement de produits.

Les packages spécifiques au système d'exploitation de VMware Tools peuvent être téléchargés à l'adresse http://packages.vmware.com/tools/releases/index.html. Pour plus d'informations sur l'installation des OSP, consultez le Guide d'installation de VMware Tools pour les modules spécifiques du système d'exploitation

Les étapes d'installation de VMware Tools varient en fonction de votre produit VMware et du système d'exploitation client que vous avez installé. Pour voir les étapes générales d'installation de VMware Tools dans la plupart des produits VMware, consultez General VMware Tools installation instructions (1014294) (Instructions générales d'installation de VMware Tools (1014294)). Pour configurer productLocker afin qu'il pointe vers un magasin de données partagé, consultez l'article 2004018 de la base de connaissances.

Pour obtenir des instructions spécifiques sur l'installation, la mise à niveau et la configuration de VMware Tools, consultez la page Documentation de VMware Tools.

Informations de mise à niveau

Prise en charge de ESXi 5.0 et ESXi 5.1 VMware Tools

  • Prise en charge étendue : une prise en charge étendue est disponible pour les versions de VMware Tools fournies avec ESXi 5.0 et ESXi 5.1
  • Mise à niveau : la mise à niveau de VMware Tools vers la version 10.0.12 pour les systèmes d'exploitation invités hérités n'est pas prise en charge sur ESXi 5.0 et ESXi 5.1. Les machines virtuelles exécutant VMware Tools 10.0.12 sont prises en charge sur ESXi 5.0 et 5.1.

Remarque : VMware ESXi 5.5, Patch Release ESXi550-201608001 et VMware ESXi 6.0, Patch Release ESXi600-201608001 et versions ultérieures, sont requis pour installer ou mettre à niveau VMware Tools 10.0.12 sur les systèmes d'exploitation invités hérités.

Impact de la mise à niveau

La prise en charge de la mise à niveau implique que les utilisateurs doivent suivre un processus de mise à niveau en deux étapes pour mettre à niveau les versions de VMware Tools antérieures à la version 9.4.x vers les versions ultérieures à la version 10.1.0 sur les systèmes d'exploitation invités non hérités.

  1. Les versions de VMware Tools antérieures à la version 9.4.x doit d'abord être mises à niveau vers VMware Tools version 10.1.0. Dans une deuxième étape, il est possible de mettre à niveau VMware Tools vers une version plus récente que la version 10.1.0.
  2. Il est possible de mettre à niveau VMware Tools 9.4.x et versions ultérieures directement vers la dernière version disponible de VMware Tools.

Pour le mappage des versions de VMware Tools fournies avec ESXi, reportez-vous à http://packages.vmware.com/tools/versions.

Pour une mise à niveau simple, effectuez la mise à niveau vers VMware Tools fourni avec la version prise en charge d'ESXi. 

VMware Tools a une compatibilité descendante et ascendante avec ESXi. Les dernières versions de VMware Tools sont compatibles avec les anciennes versions d'ESXi prises en charge, et inversement. La mise à niveau de VMware Tools vers la version 10.0.12 est la dernière mise à niveau prise en charge pour les systèmes d'exploitation invités hérités sous VMware ESXi 5.5, Patch Release ESXi550-201608001, VMware ESXi 6.0, Patch Release ESXi600-201608001 et versions ultérieures.

Prise en charge des mises à niveau pour les versions futures de VMware Tools

La prise en charge des mises à niveau est disponible pour les anciennes versions de VMware Tools fournies avec ESXi dont le support est terminé vers des versions plus récentes de VMware Tools fournies simultanément avec la version immédiate d'ESXi publiée lors de la fin du support des versions anciennes d'ESXi.

Pilotes invités Windows installés par VMware Tools

Les versions de pilote suivantes sont prises en charge par VMware Tools 10.1.0 sur un système d'exploitation invité Windows.

Pilotes VMware Tools 10.1.0
Pilotes matériels
vmci

9.8.6.0

vsock

9.8.8.0

pvscsi

1.3.8.0

wddm

8.15.1.48

xpdm

12.1.8.0

vmxnet3

1.7.3.0 - NDIS 6.0

vmxnet2

2.2.0.0

vmmouse

12.5.7.0

vmusbmouse

12.5.7.0

vmaudio

5.10.0.3506

Pilotes logiciels
vmrawdsk.sys

1.1.0.1

vmmemctl.sys

7.4.1.1

vmhgfs.sys

11.0.14.2 - Pour les systèmes d'exploitation Windows Vista et versions ultérieures

vsepflt.sys

10.1.0.0

vnetflt.sys

10.1.0.0 - Pour la signature du code en mode noyau

vnetWFP.sys

10.1.0.0

Problèmes résolus

  • Mise à jour d'OpenSSL.
    OpenSSL est mis à jour vers la version 1.0.2h.
  • Une machine virtuelle Windows sur un hôte ESXi où est installé VMware Tools échoue et renvoie un écran de diagnostic bleu en signalant une erreur
    Une machine virtuelle Windows sur un hôte ESXi où est installé VMware Tools échoue et renvoie un écran de diagnostic bleu en signalant une erreur semblable à ceci :

  • PAGE_FAULT_IN_NONPAGED_AREA (50) Invalid system memory was referenced: vmmemctl.sys

    Ce problème est dû au fait qu'un grand nombre de processus d'allocation et de désallocation de mémoire s'exécutent dans le système d'exploitation invité Windows. Cela entraîne un souci de mémoire dans le contrôleur de mémoire du serveur VMware.

    Ce problème est résolu dans cette version.

  • VMware Tools ne parvient pas à démarrer après la mise à niveau d'un noyau de système d'exploitation invité Linux
    VMware Tools ne parvient pas à s'exécuter après le démarrage d'un noyau de système d'exploitation invité Linux différent. Ce problème se produit en raison d'une incompatibilité entre les modules de noyau VMware Tools et le noyau Linux. Les noyaux doivent être réinstallés.
  • Ce problème est résolu dans cette version. Les modules de noyau automatique VMware sont activés par défaut sous VMware Tools 10.1 et versions ultérieures.

  • VMware Tools 10.0.x ne parvient pas à s'exécuter sur un système d'exploitation invité Ubuntu 16.10
    VMware Tools 10.0.x ne parvient pas à s'exécuter sur un système d'exploitation invité Ubuntu 16.10 lorsque VMware Tools est installé avec un package .tar. Ce problème se produit lors du redémarrage du système d'exploitation invité après l'installation.
  • Ce problème est résolu dans cette version.

  • L'installation de VMware Tools sur FreeBSD échoue si la version de Perl est ultérieure à la version 5.20
    L'installation de VMware Tools sur FreeBSD échoue si la version de Perl est ultérieure à la version 5.20, car le chemin vers l'exécutable Perl a changé. Elle échoue avec un message d'erreur semblable au suivant :

    ./vmware-install.pl: Command not found

  • Ce problème est résolu dans cette version.

  • L'opération de snapshot mis au repos laisse le système de fichiers invité Linux dans un état de repos
    Une opération de snapshot mis au repos sur un système d'exploitation invité Linux peut échouer sur l'hôte après la mise au repos du système de fichiers invité. Ce problème laisse le système de fichiers invité dans un état de repos même après la réalisation de l'opération de snapshot avec une erreur renvoyée au client. Des messages de journal d'erreur similaires aux messages suivants sont générés dans le fichier vmware.log :
  • <TIMESTAMP>| vcpu-0| I120: ToolsBackup: changing quiesce state: COMMITTED -> ERROR_WAIT
    <TIMESTAMP>| vcpu-0| I120: Msg_Post: Avertissement
    <TIMESTAMP>| vcpu-0| I120: [msg.snapshot.quiesce.vmerr] The guest OS has reported an error during quiescing.
    <TIMESTAMP>| vcpu-0| I120+ The error code was: 4
    <TIMESTAMP>| vcpu-0| I120+ The error message was: Quiesce aborted.
    <TIMESTAMP>| vcpu-0| I120: ----------------------------------------
    <TIMESTAMP>| vcpu-0| I120: Vigor_MessageRevoke: message 'msg.snapshot.quiesce.vmerr' (seq 860282) is revoked
    <TIMESTAMP>| vcpu-0| I120: ToolsBackup: changing quiesce state: ERROR_WAIT -> ERROR_WAIT
    <TIMESTAMP>| vcpu-0| I120: ToolsBackup: changing quiesce state: ERROR_WAIT -> IDLE
    <TIMESTAMP>| vcpu-0| I120: ToolsBackup: changing quiesce state: IDLE -> DONE

    Ce problème est résolu dans cette version.

Problèmes connus

Les problèmes connus susceptibles de survenir dans VMware Tools 10.1.0 sont les suivants :

  • VMware Tools 10.1.0 n'est pas compatible avec VMware Site Recovery Manager 6.1.1 ou version antérieure
    La mise à niveau de VMware Tools vers la version 10.1.0 sur une machine virtuelle gérée par VMware Site Recovery Manager 6.1.1 ou une version antérieure interrompt les workflows de VMware Site Recovery Manager. Les versions 6.1.2 et 6.5 de VMware Site Recovery Manager sont compatibles avec VMware Tools 10.1.0.

    Solution : effectuez la mise à niveau de VMware Site Recovery Manager vers la version 6.1.2 ou 6.5 avant d'installer ou de mettre à niveau VMware Tools vers la version 10.1.0. Si une machine virtuelle est gérée par VMware Site Recovery Manager 6.1.1 ou version antérieure, évitez d'installer ou de mettre à niveau VMware Tools vers la version 10.1.0. Cette exigence de compatibilité s'applique également à open-vm-tools 10.1.0 fourni par diverses distributions de Linux. Pour plus d'informations sur la compatibilité, consultez la matrice d'interopérabilité des produits VMware.
  • Les tentatives d'installation de VMware Tools sur un système d'exploitation invité FreeBSD 6.x ou 7.x peuvent échouer avec une erreur
    Les tentatives d'installation de VMware Tools sur un système d'exploitation invité FreeBSD 6.x ou 7.x peuvent échouer avec une erreur semblable à la suivante :

    Démon du système d'exploitation invité : échec
    Attempting to run vmtoolsd after installation will result in the following error
    "Segmentation fault: 11 (core dumped)"


    Solution : avant d'installer VMware Tools 10.1.0 sur une machine virtuelle FreeBSD 6.x ou 7.x, effectuez les opérations suivantes :
    1. Créez le fichier s'il n'existe pas
       
       /etc/libmap.conf
    2. Ajoutez ce qui suit au fichier /etc/libmap.conf

       [/usr/local/lib/vmware-tools/]
       libpthread.so.2 libthr.so.2
       libpthread.so libthr.so


    Si VMware Tools 10.1.0 est déjà installé, effectuez les opérations suivantes
    1. Mettez à jour /etc/libmap.conf avec ce qui suit

       [/usr/local/lib/vmware-tools/]
       libpthread.so.2 libthr.so.2
       libpthread.so libthr.so
    2. Terminez la configuration en exécutant /usr/local/bin/vmware-config-tools.pl

    Remarque : cette solution ne s'applique pas aux machines virtuelles exécutant FreeBSD dont la version est ultérieure à 7.x.

  • Common Agent Framework dans open-vm-tools ne parvient pas à se générer dans Ubuntu 14.04
    Common Agent Framework dans open-vm-tools ne parvient pas à se générer dans Ubuntu 14.04 avec rabbitmq-c dont la version est inférieure à 0.8.0

    Solution : effectuez la mise à niveau de rabbitmq-c vers la version 0.8.0 ou une version ultérieure pour la prise en charge de TLS1.2 dans Common Agent Framework.
  • Les plug-ins vmusr ne se chargent pas sur Solaris 10 Update 11
    Lors de l'exécution de VMware Tools 10.1 sur des systèmes d'exploitation invités Solaris 10 U11, les plug-ins vmusr suivants ne sont pas chargés :
    • libdesktopEvents.so
    • libdndcp.so
    • libresolutionSet.so

    Ce problème peut également se produire dans Solaris version 11.2.

    Solution : effectuez la mise à niveau vers Solaris 11.3.
  • Avec VMware Tools 10.0.x, des pilotes en double peuvent être chargés dans le noyau Linux
    Ce problème se produit lorsque des pilotes sont installés dans /lib/modules/<version du noyau>/ directement. Cela peut mener à une détection incorrecte de pilotes par VMware Tools ce qui entraîne l'installation de pilotes non souhaités.

Solution : pour résoudre ce problème, installez les modules dans le sous-répertoire de /lib/modules/<kernel version>/ / avant d'installer ou de réinstaller VMware Tools.

Par exemple,
cd /lib/modules/$(uname -r)/
mkdir foobar
mv foo.ko bar.ko foobar/
depmod -a